## browserpass 2.0.11+dfsg

=== debian/changelog ===
browserpass (2.0.11+dfsg-2) unstable; urgency=medium

  * Fixed typo in Depends line

 -- Michael Meskes <meskes@debian.org>  Mon, 19 Feb 2018 10:25:56 +0100

browserpass (2.0.11+dfsg-1) unstable; urgency=medium

  * Repack to get rid of unused nodejs modules some of which were partly
    minified.
  * Added firefox-esr as alternative (Closes: #890729)
  * Added file to load all extension into chromium
  * Fix path of example installation
  * Added all contributors to copyright file (Closes: #890717)
  * Fixed watch file for re-packaged version number.
  * Removed empty /usr/bin directory.
  * Document which files were excluded from the released tarball.
  * Re-added lost shared library dependencies

 -- Michael Meskes <meskes@debian.org>  Sun, 18 Feb 2018 10:56:29 +0100

browserpass (2.0.11-1) unstable; urgency=medium

  * Initial release (Closes: #890331)

 -- Michael Meskes <meskes@debian.org>  Thu, 15 Feb 2018 09:45:09 +0100
