=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with=golang --buildsystem=golang

override_dh_auto_build:
	dh_auto_build
	# browserify-lite needs the dependencies locally
	mkdir node_modules
	ln -s /usr/lib/nodejs/mithril/ node_modules
	browserify-lite $$(pwd)/chrome/script.browserify.js --outfile $$(pwd)/chrome/script.js

	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass#' chrome/host.json > chrome-host.json
	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass#' firefox/host.json > firefox-host.json

	# The extension ID seems to be different in our build
	sed -i -e 's#"chrome-extension://naepdomgkenhinolocfifgehidddafch/",#"chrome-extension://naepdomgkenhinolocfifgehidddafch/",\n    "chrome-extension://cbfnbkdnigbahbkcikfppmaonggdbcpa/",#' chrome-host.json

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_install:
	dh_install -X LIXENSE.txt
	
	# clean up the installation
	mv debian/webext-browserpass/usr/bin/browserpass debian/webext-browserpass/usr/lib/browserpass
	rmdir debian/webext-browserpass/usr/bin
	mv debian/webext-browserpass/etc/chromium/native-messaging-hosts/chrome-host.json debian/webext-browserpass/etc/chromium/native-messaging-hosts/com.dannyvankooten.browserpass.json
	mv debian/webext-browserpass/usr/lib/mozilla/native-messaging-hosts/firefox-host.json debian/webext-browserpass/usr/lib/mozilla/native-messaging-hosts/com.dannyvankooten.browserpass.json

override_dh_clean:
	dh_clean
	-rm -fr chrome/script.js chrome-host.json firefox-host.json node_modules

override_dh_auto_test:
