=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%browserpass-$1.tar.gz%, \
      dversionmangle=s/\+dfsg$//" \
   https://github.com/dannyvankooten/browserpass/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
