## browserpass 2.0.22

=== debian/changelog ===
browserpass (2.0.22-2) unstable; urgency=medium

  * Document provided background.js file and remove superfluous manifest.json.
    (Closes: #921484)
  * With chromium now including all extensions there is no need anymore for us
    to provide a solution.
  * tldjs is in the archive now, no need to ship it with brwoserpass anymore.
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 06 Feb 2019 10:29:50 +0100

browserpass (2.0.22-1) unstable; urgency=medium

  * Set Built-Using field.
    Thanks to Michael Stapelberg <stapelberg@debian.org> (Closes: #892118)
  * New upstream version 2.0.22 (Closes: #903050)
  * Added tldjs sources while the package is still in NEW.

 -- Michael Meskes <meskes@debian.org>  Fri, 30 Mar 2018 20:14:46 +0100
