=== debian/control ===
--- 
+++ 
@@ -8,9 +8,14 @@
                golang-go,
 	       golang-github-gokyle-twofactor-dev,
 	       golang-github-mattn-go-zglob-dev,
+	       golang-github-sahilm-fuzzy-dev,
 	       node-browserify-lite,
-	       node-mithril
-Standards-Version: 4.1.3
+	       node-fuzzysort,
+	       node-mithril,
+	       node-punycode,
+	       node-tldjs,
+	       node-url
+Standards-Version: 4.3.0
 Homepage: https://github.com/dannyvankooten/browserpass
 Vcs-Git: https://salsa.debian.org/webext-team/browserpass.git
 Vcs-Browser: https://salsa.debian.org/webext-team/browserpass
@@ -20,6 +25,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: firefox (>= 50) | firefox-esr (>= 50) | chromium
+Built-Using: ${misc:Built-Using}
 Description: web extension for the password manager pass
  webext-browserpass is a Firefox/Chromium extension for the password manager
  pass. It retrieves your decrypted passwords for the current domain and allows
