=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,12 @@
 override_dh_auto_build:
 	dh_auto_build
 	# browserify-lite needs the dependencies locally
-	mkdir node_modules
-	ln -s /usr/lib/nodejs/mithril/ node_modules
+	-mkdir node_modules
+	ln -s /usr/lib/nodejs/fuzzysort/ /usr/lib/nodejs/mithril/ /usr/lib/nodejs/url /usr/lib/nodejs/punycode /usr/lib/nodejs/tldjs node_modules
 	browserify-lite $$(pwd)/chrome/script.browserify.js --outfile $$(pwd)/chrome/script.js
+	browserify-lite $$(pwd)/chrome/options.browserify.js --outfile $$(pwd)/chrome/options.js
+	# browserify-lite creates a non-working file, use upstream's version for the time being
+	#browserify-lite $$(pwd)/chrome/background.browserify.js --outfile $$(pwd)/chrome/background.js
 
 	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass#' chrome/host.json > chrome-host.json
 	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass#' firefox/host.json > firefox-host.json
@@ -31,7 +34,6 @@
 
 override_dh_clean:
 	dh_clean
-	-rm -fr chrome/script.js chrome-host.json firefox-host.json node_modules
+	-rm -fr chrome/background.js chrome/options.js chrome/script.js chrome-host.json firefox-host.json node_modules
 
 override_dh_auto_test:
-
