=== debian/changelog ===
browserpass (3.1.1-3) unstable; urgency=medium

  * Added missing dependency to fonts-open-sans. (Closes: #929545)
  * Bumped Standards-Version, no changes needed.
  * Bumped debhelper version, no changes needed.
  * Removed empty fonts directory.

 -- Michael Meskes <meskes@debian.org>  Sat, 24 Aug 2019 19:20:18 +0200

browserpass (3.1.1-2) unstable; urgency=medium

  * Added missing dependency. (Closes: #928598)
  * Install Makefile to make sure the native host app can easily be used by
    other browsers.

 -- Michael Meskes <meskes@debian.org>  Tue, 07 May 2019 12:06:44 +0200

browserpass (3.1.1-1) unstable; urgency=medium

  * New upstream version
  * Updated watch file for new split archives.
  * Updated go import path to new split archive.
  * Adjust packaging to the new archive layout.
  * browserify-lite creates non functioning javascript, so we go with the
    browserified files provided by upstream.

 -- Michael Meskes <meskes@debian.org>  Wed, 17 Apr 2019 13:33:59 +0200
