=== debian/control ===
Source: browserpass
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 12),
               dh-golang,
               golang-go,
	       golang-github-gokyle-twofactor-dev,
	       golang-github-mattn-go-zglob-dev,
	       golang-github-sahilm-fuzzy-dev,
	       golang-github-sirupsen-logrus-dev,
	       node-less
Standards-Version: 4.4.0
Homepage: https://github.com/browserpass
Vcs-Git: https://salsa.debian.org/webext-team/browserpass.git
Vcs-Browser: https://salsa.debian.org/webext-team/browserpass
XS-Go-Import-Path: github.com/browserpass

Package: webext-browserpass
Architecture: any
Depends: fonts-open-sans, ${misc:Depends}, ${shlibs:Depends}
Recommends: firefox (>= 50) | firefox-esr (>= 50) | chromium
Built-Using: ${misc:Built-Using}
Description: web extension for the password manager pass
 webext-browserpass is a Firefox/Chromium extension for the password manager
 pass. It retrieves your decrypted passwords for the current domain and allows
 you to auto-fill login forms, as well as copy it to clipboard. If you have
 multiple logins for the current site, the extension shows you a list of
 usernames to choose from.
