=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Pass hardening flags to linker
GO_LDFLAGS += -extldflags=-Wl,-z,now,-z,relro

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -buildmode=pie -ldflags "$(GO_LDFLAGS)"
	(cd browserpass-extension; make firefox chromium)

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_install:
	dh_install --sourcedir=browserpass-extension

	mv debian/webext-browserpass/usr/bin/browserpass-native debian/webext-browserpass/usr/lib/browserpass
	cp browserpass-native/Makefile debian/webext-browserpass/usr/lib/browserpass
	rmdir debian/webext-browserpass/usr/bin
	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass-native#' browserpass-native/browser-files/chromium-host.json -e 's#"chrome-extension://naepdomgkenhinolocfifgehidddafch/",#"chrome-extension://naepdomgkenhinolocfifgehidddafch/",\n    "chrome-extension://cbfnbkdnigbahbkcikfppmaonggdbcpa/",#' > debian/webext-browserpass/etc/chromium/native-messaging-hosts/com.github.browserpass.native.json
	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass-native#' browserpass-native/browser-files/firefox-host.json > debian/webext-browserpass/usr/lib/mozilla/native-messaging-hosts/com.github.browserpass.native.json
	cp -r debian/js debian/webext-browserpass/usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/browserpass@maximbaz.com/

override_dh_auto_clean:
	dh_auto_clean
	(cd browserpass-extension; make clean)
