=== debian/changelog ===
browserpass (3.4.1-4) unstable; urgency=medium

  * Use /usr/bin as patch to lessc. (Closes: #962034)
  * Install extension README. (Closes: #959925)
  * Bumped standards and debhelper versions

 -- Michael Meskes <meskes@debian.org>  Wed, 17 Jun 2020 13:06:42 +0200

browserpass (3.4.1-3) unstable; urgency=medium

  * Applied upstream patch to Resolve "null is not a valid URL" errors caused
    by a URL parsing bug in Firefox.
    (Closes: #946127)
  * Remove old file
    /etc/chromium/native-messaging-hosts/com.dannyvankooten.browserpass.json
    (Closes: #946051)
  * Use debhelper-compat = 12.
  * Explain how to enable browserpass in google chrome.
    Thanks to Anton A <antoon.a@gmail.com>

 -- Michael Meskes <meskes@debian.org>  Sun, 08 Dec 2019 18:55:21 +0100

browserpass (3.4.1-2) unstable; urgency=medium

  * Removed buildmode=pie which seems to be unavailable on mipsel.
    (Closes: #944657)

 -- Michael Meskes <meskes@debian.org>  Thu, 28 Nov 2019 10:29:10 +0100

browserpass (3.4.1-1) unstable; urgency=medium

  * Import Upstream version 3.4.1
  * Bumped Standards-Version, no changes needed.
  * Fixed path in copyright file.

 -- Michael Meskes <meskes@debian.org>  Mon, 21 Oct 2019 20:39:32 +0200
