=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-go,
 	       golang-github-gokyle-twofactor-dev,
@@ -11,7 +11,7 @@
 	       golang-github-sahilm-fuzzy-dev,
 	       golang-github-sirupsen-logrus-dev,
 	       node-less
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/browserpass
 Vcs-Git: https://salsa.debian.org/webext-team/browserpass.git
 Vcs-Browser: https://salsa.debian.org/webext-team/browserpass
