=== debian/changelog ===
browserpass (3.7.2-1) unstable; urgency=medium

  * Imported new upstream version 3.0.7 for browserpass-native.
  * Imported new upstream version 3.7.2 for browserpass-extension.
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 16 Feb 2021 11:32:50 +0100
