=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	       golang-github-sahilm-fuzzy-dev,
 	       golang-github-sirupsen-logrus-dev,
 	       node-less
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/browserpass
 Vcs-Git: https://salsa.debian.org/webext-team/browserpass.git
 Vcs-Browser: https://salsa.debian.org/webext-team/browserpass
