=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,9 @@
 	dh $@ --buildsystem=golang --with=golang
 
 override_dh_auto_build:
-	dh_auto_build -O--buildsystem=golang -- -buildmode=pie -ldflags "$(GO_LDFLAGS)"
 	(cd browserpass-extension; make firefox chromium)
+	#dh_auto_build -O--buildsystem=golang -- -buildmode=pie -ldflags "$(GO_LDFLAGS)"
+	dh_auto_build -O--buildsystem=golang -- -ldflags "$(GO_LDFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
